www.cendio.com
Bug 3892 - Start vncviewer maximized when using Near Current Screensize
: Start vncviewer maximized when using Near Current Screensize
Status: CLOSED FIXED
: ThinLinc
VNC
: 3.1.2
: PC Unknown
: P2 Normal
: 4.0.0
Assigned To:
:
:
:
: 4229
  Show dependency treegraph
 
Reported: 2011-07-14 13:32 by
Modified: 2012-11-28 12:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2011-07-14 13:32:51
Move from comment #1 of bug 1546. The session created with Near Current
Screensize is adapted so that the window should exactly fit if maximized. But
to avoid confusion, I think the vncviewer window should be automatically
maximized.
------- Comment #1 From cendio 2012-06-21 09:37:01 -------
Windows part fixed in r25358.
------- Comment #2 From cendio 2012-07-02 14:37:12 -------
Looked at implementing this for X11. It is not possible to set the initial
window state because FLTK does not allow you to realize the X11 window before
it is shown. See:

http://www.fltk.org/str.php?L2178
http://www.fltk.org/str.php?L2083

However, although not as beatiful, you can change the maximized state after the
window is shown. There are two solutions here:

1) tlclient could wait for the vncviewer window to appear, then do the change. 

2) tlclient could pass info about this via a -maximize command line argument.
Then, vncviewer could maximize itself after window.show(). 

The preferred solution here is probably 2), since it's slightly better, allows
for future change to set the state before the window is mapped, plus allows
non-TL users to use this feature.
------- Comment #3 From cendio 2012-08-01 11:07:49 -------
Fixed in 25555 (tlclient) and r25552 (new TigerVNC vendor drop). 
Needs to be tested on all three platforms (X11, Windows, OS X). On X11, it is
only expected to work with EWMH WMs.
------- Comment #4 From cendio 2012-10-01 10:36:01 -------
Works like a charm with client build 3668.

- Tested on win7 and while having maximized size and changing the taskbar
  size the window is automatic resized and so is the session.

- Tested on MacOsX, Initial window is perfect, if chaning the dock size
  the windows is not updated as in Win7 but if one press the window 
  maximized button the window is size is correctly updated to fit work area.

- Tested on gnome and it does work as expected.